# Method: customBiddingAlgorithms.rules.create

> [!WARNING]
> Display \& Video 360 API v3 has sunset. Use [v4](https://developers.google.com/display-video/api/reference/rest/v4) instead.

- [HTTP request](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.request_body)
- [Response body](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#body.aspect)
- [Try it!](https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules/create#try-it)

Creates a new rules resource. Returns the newly created rules resource if successful.

Requests creating a custom bidding rules resource under an algorithm assigned to a line item will return an error.

### HTTP request

`POST https://displayvideo.googleapis.com/v3/customBiddingAlgorithms/{customBiddingAlgorithmId}/rules`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customBiddingAlgorithmId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the custom bidding algorithm that owns the rules resource. |

### Query parameters

| Parameters ||
|---|---|
| Union parameter `owner`. Required. Identifies the DV360 entity that owns the parent custom bidding algorithm. It can be either a partner or an advertiser. `owner` can be only one of the following: ||
| `partnerId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the partner that owns the parent custom bidding algorithm. Only this partner will have write access to this rules resource. |
| `advertiserId` | `string (https://developers.google.com/discovery/v1/type-format format)` The ID of the advertiser that owns the parent custom bidding algorithm. |

### Request body

The request body contains an instance of `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules#CustomBiddingAlgorithmRules`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/display-video/api/reference/rest/v3/customBiddingAlgorithms.rules#CustomBiddingAlgorithmRules`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/display-video`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).